Package org.codehaus.groovy.ant

## Class LoggingHelper

- java.lang.Object
- - org.codehaus.groovy.ant.LoggingHelper

-     public class LoggingHelper
      extends Object

  Helper to make logging from Ant easier.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggingHelper​(org.apache.tools.ant.Task owner)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `debug​(String msg)` |
    `void` | `error​(String msg)` |
    `void` | `error​(String msg, Throwable t)` |
    `void` | `info​(String msg)` |
    `void` | `verbose​(String msg)` |
    `void` | `warn​(String msg)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingHelper

          public LoggingHelper​(org.apache.tools.ant.Task owner)

  - ### Method Detail

    - #### error

          public void error​(String msg)

    - #### error

          public void error​(String msg,
                            Throwable t)

    - #### warn

          public void warn​(String msg)

    - #### info

          public void info​(String msg)

    - #### verbose

          public void verbose​(String msg)

    - #### debug

          public void debug​(String msg)